> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get project voices

> Gets a project voices



## OpenAPI

````yaml get /projects/{id}/voices
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /projects/{id}/voices:
    parameters:
      - name: id
        in: path
        description: project id
        required: true
        schema:
          type: string
    get:
      tags:
        - Projects
      summary: Voices
      description: Gets a project voices
      operationId: projects#voices
      responses:
        '200':
          description: successful
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/voicesExample'
              schema:
                $ref: '#/components/schemas/voicesModel'
      security:
        - apiKey: []
components:
  examples:
    voicesExample:
      summary: A sample voice response
      value:
        - id: 1
          name: James
          type: premade
          status: enabled
          speaker: null
          script_ids: []
          speaking_rate: 103
          gender: male
          languages:
            - code: en_GB
              name: English
              accent: British
              preview_url: https://example.com/James_en_GB_preview.mp3
            - code: en_US
              name: English
              accent: American
              preview_url: null
            - code: en_AU
              name: English
              accent: Aussie
              preview_url: https://example.com/James_en_AU_preview.mp3
          cloning_consent: null
          clone_errors: []
          created: 2022-01-01 00:00:00 UTC
          updated: 2022-01-31 12:59:59 UTC
          language: en_GB
          secondary_languages: []
          service: azure
          preview_url: https://example.com/James_en_GB_preview.mp3
          exclusive: false
          custom: false
        - id: 1
          name: Jane
          type: professional
          status: deprecated
          speaker:
            id: 123
            first_name: Jane
            last_name: Doe
            avatar_url: https://example.com/Jane_avatar.jpg
          script_ids: []
          speaking_rate: 98
          gender: female
          languages:
            - code: en_AU
              name: English
              accent: Aussie
              preview_url: https://example.com/Jane_en_AU_preview.mp3
          cloning_consent: https://example.com/i_agree_to_voice_cloning.mp3
          clone_errors: []
          created: 2022-01-01 00:00:00 UTC
          updated: 2022-01-31 12:59:59 UTC
          language: en_AU
          secondary_languages: []
          service: azure
          preview_url: https://example.com/Jane_en_AU_preview.mp3
          exclusive: true
          custom: true
  schemas:
    voicesModel:
      type: array
      items:
        $ref: '#/components/schemas/voiceModel'
    voiceModel:
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier for the object
        name:
          type: string
          description: The name of the voice
        type:
          type: string
          description: The type of the voice
          enum:
            - premade
            - instant
            - professional
            - generated
        status:
          type: string
          description: The status of the voice
          enum:
            - draft
            - recording
            - processing
            - review
            - enabled
            - deprecated
            - disabled
            - unavailable
        preview_statuses:
          type: string
          description: The preview status of the voice for its primary language
          enum:
            - processing
            - processed
        speaker:
          type: object
          description: The speaker of the voice
          nullable: true
          properties:
            id:
              type: integer
              description: Unique identifier for the object
            first_name:
              type: string
              description: The first name of the speaker
            last_name:
              type: string
              description: The last name of the speaker
            image_url:
              type: string
              description: The image URL of the speaker
              nullable: true
            created:
              type: string
              format: date-time
              description: Time at which the object was created (ISO 8601)
            updated:
              type: string
              format: date-time
              description: Time at which the object was updated (ISO 8601)
        script_ids:
          type: array
          description: The script IDs associated with the voice
          items:
            type: integer
        speaking_rate:
          type: integer
          description: The speaking rate of the voice
        multilingual_mode:
          type: boolean
        expressiveness:
          type: number
          nullable: true
        use_speaker_boost:
          type: boolean
          nullable: true
        similarity_boost:
          type: number
          nullable: true
        style:
          type: number
          nullable: true
        languages:
          type: array
          description: The languages supported by the voice
          items:
            type: object
            properties:
              code:
                type: string
                description: The ISO 639-1 code of the language
              name:
                type: string
                description: The name of the language
              accent:
                type: string
                description: The accent of the language
                nullable: true
              preview_url:
                type: string
                description: The preview URL of the language
                nullable: true
        cloning_consent:
          type: string
          description: The cloning consent URL for instant and professional voices
          nullable: true
        clone_errors:
          type: array
          description: An array of voice cloning errors in the standard error format
          items:
            type: object
        created:
          type: string
          format: date-time
          description: Time at which the object was created (ISO 8601)
        updated:
          type: string
          format: date-time
          description: Time at which the object was updated (ISO 8601)
        logo_pattern:
          type: integer
          description: Logo pattern number
          nullable: true
        logo_color:
          type: string
          description: Logo pattern color
          nullable: true
          enum:
            - red
            - green
            - blue
            - purple
            - gray
            - pink
            - cyan
        gender:
          type: string
          nullable: true
          enum:
            - male
            - female
            - neutral
          description: The gender of the voice
        language:
          type: string
          description: The language of the voice
          deprecated: true
        secondary_languages:
          type: array
          description: The secondary languages of the voice
          deprecated: true
          items:
            type: string
        service:
          type: string
          description: The source of the voice
        model_id:
          type: string
          nullable: true
        preview_url:
          type: string
          description: The preview URL of the voice
          deprecated: true
          nullable: true
        premium:
          type: boolean
          description: Whether the voice is premium or not
          deprecated: true
        exclusive:
          type: boolean
          description: Whether the voice is exclusive or not
          deprecated: true
        custom:
          type: boolean
          description: The custom flag of the voice
          deprecated: true
        additional:
          type: boolean
        pauses_supported:
          type: boolean
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````